Ovo je jednostavni programčić za generiranje bitmap fajlova.

Za kompajliranje je potreban jedino libpng.

Kompajlirani program prima dva parametra: putanju do direktorija s ulaznim slikama, i putanju do direktorija u koju će se spremit C-style byte arrayi.

U ulaznom direktoriju bi trebale biti .png datoteke s transparencijom. Prozirni pikseli će biti TFT_TRANSPARENT boje. Naziv izlazne datoteke i varijable polja će biti kao i naziv ulazne slike, s veličinom polja istom kao i veličina slike. Dakle, ako je ulazna slika arrow.png 18x18 piksela, izlaz će biti arrow.hpp, sa sljedećim sadržajem:
```c++
const uint16_t arrow[18 * 18] PROGMEM = {
  0x0120, 0x0120, 0x73ae, 0xfde0, ...
};
```

Vjerojatno bi se trebalo još sitno prilagodit da bi prošljakalo na windozama.

//

This is a simple program for generating bitmap files.

For compiling the only thing you need is libpng.

Compiled program receives two parameters: path to the directory with the images and the path to the directory in which the C-style byte arrays will be saved.

In the input directory there should be .png files with transparency for empty bits. Transparent pixels will be TFT_TRANSPARENT color. The name of the output file and variable of the matrix will be the same as the name of the image, with the size of the array the same as the size of the image. If the input photo is arrow.png 18x18 pixels, the output will be arrow.hpp with the following content:
```c++
const uint16_t arrow[18 * 18] PROGMEM = {
  0x0120, 0x0120, 0x73ae, 0xfde0, ...
};
```

Works on Linux for now.
